<?php
function set_date($day, $month, $year) {
global $timestamp;
$timestamp = mktime(0, 0, 0, $month, $day, $year);
return $timestamp;

}
//----------------------------------------------------------------------------------------
function format_timestamp($timestamp, $output_type)
{
/* $date = date("F j, Y, g:i a");             // March 10, 2001, 5:16 pm
$date = date("m.d.y");                        // 03.10.01
$date = date("j, n, Y");                      // 10, 3, 2001
$date = date("Ymd");                          // 20010310
$date = date('h-i-s, j-m-y, it is w Day z ');  // 05-16-17, 10-03-01, 1631 1618 6 Fripm01
$date = date('\i\t \i\s \t\h\e jS \d\a\y.');  // It is the 10th day.
$date = date("D M j G:i:s T Y");              // Sat Mar 10 15:16:08 MST 2001
$date = date('H:m:s \m \i\s\ \m\o\n\t\h');    // 17:03:17 m is month
$date = date("H:i:s");                        // 17:16:17*/
#int mktime ( [int hour [, int minute [, int second [, int month [, int day [, int year [, int is_dst]]]]]]] )

	if ($timestamp == 0){
		$date = '0';
	}else{
		switch ($output_type) {
		  default:
			$date = date("h:i A l j F, Y", $timestamp);
		  break;
		 
		  case "time_short_date":
			  $date = date("g:i a d.m.y", $timestamp); //time and date as dd.mm.yyyy
		  break;
		  case "short_date":
			  $date = date("d.m.y", $timestamp); //time and date as dd.mm.yyyy
		  break;

		  case "short_date_txt":
			  $date = date("jS F", $timestamp); //5th febuary 2002
		  break;
		  case "minute":
			  $date = date("i", $timestamp); //time and date as dd.mm.yyyy
		  break;
		  
		  case "hour":
			  $date = date("G", $timestamp); //time and date as dd.mm.yyyy
		  break;
		  
		  case "day":
			  $date = date("d", $timestamp); //time and date as dd.mm.yyyy
		  break;
		  
		  case "day_th":
			  $date = date("D jS", $timestamp); //time and date as dd.mm.yyyy
		  break;

		  case "month":
			  $date = date("m", $timestamp); //time and date as dd.mm.yyyy
		  break;
		  
		  case "year":
			  $date = date("y", $timestamp); //time and date as dd.mm.yyyy
		  break;
		  
		  case "just_short_date":
			  $date = date("d-m-y", $timestamp); //time and date as dd.mm.yyyy
		  break;

		   
		  case "day_txt":
			  $date = date("d", $timestamp); //time and date as dd.mm.yyyy
		  break;
		  
		  case "month_txt":
			  $date = date("F", $timestamp); //time and date as dd.mm.yyyy
		  break;
		  
		  case "year_txt":
			  $date = date("y", $timestamp); //time and date as dd.mm.yyyy g:i a
		  break;

		  case "time":
			  $date = date("g:i a", $timestamp); //time as 5:30pm 
		  break;
		}
		
	}
	return $date;
}
//----------------------------------------------------------------------------------------
function output_date_box($current_day, $current_month, $current_year, $instance){
//this function takes day month and year and returns three drop down boxes. it also takes instance to allow
//more than one box at a time
$Year = date ("Y");

// Create the day pull-down menu.
$output = "<SELECT NAME=day_$instance>
		   <OPTION>$current_day</OPTION>\n
		   <OPTION>---------------</OPTION>\n";
$Day = 1;
while ($Day <= 31) {
 	$output .= "<OPTION VALUE=$Day>$Day</OPTION>\n";
 	$Day++;
}
$output .= "</SELECT>\n";
// Create the month pull-down menu.
$output .= "<SELECT NAME=month_$instance>
			<OPTION>$current_month</OPTION>\n
			<OPTION>---------------</OPTION>\n";
$output .= "<OPTION VALUE=01>January</OPTION>\n";
$output .= "<OPTION VALUE=02>February</OPTION>\n";
$output .= "<OPTION VALUE=03>March</OPTION>\n";
$output .= "<OPTION VALUE=04>April</OPTION>\n";
$output .= "<OPTION VALUE=05>May</OPTION>\n";
$output .= "<OPTION VALUE=06>June</OPTION>\n";
$output .= "<OPTION VALUE=07>July</OPTION>\n";
$output .= "<OPTION VALUE=08>August</OPTION>\n";
$output .= "<OPTION VALUE=09>September</OPTION>\n";
$output .= "<OPTION VALUE=10>October</OPTION>\n";
$output .= "<OPTION VALUE=11>November</OPTION>\n";
$output .= "<OPTION VALUE=12>December</OPTION>\n";
$output .= "</SELECT>\n";

// Create the year pull-down menu.
$output .= "<SELECT NAME=year_$instance>
			<OPTION>$current_year</OPTION>\n
			<OPTION>---------------</OPTION>\n";
$EndYear = "2010";
while ($Year <= $EndYear ) {
 $output .= "<OPTION VALUE=$Year>$Year</OPTION>\n";
 	$Year++;
}
$output .= "</SELECT>\n";
return $output;
}

?>